#ifndef Motor_h
#define Motor_h

# include "Arduino.h"


class Motor
{
  private:
  int en,m1,m2,i1,i2;
  const int st[4]={0,2,3,1};   // Abfolge der Zustände
  volatile int pos;      // Aktueller Zustand
  volatile long steps=0; // Einzelschritte (steps)
  
  public:
  
  Motor(int e,int a,int b,int c,int d);
  void power(int p);
  void richtung(); /*
                    * Wird immer ausgeführt, wenn eine Änderung bei 
                    * i1 oder i2 auftritt
                    */
  long getSteps(); // Liefert die bisher gemachten Eintelschritte
                    
};
#endif
